Bug 832723 - Laptop screen stuck on very low brightness
Laptop screen stuck on very low brightness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 16:22 EDT by Björn Persson
Modified: 2015-04-28 17:47 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-28 17:22:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of dmesg (63.86 KB, text/plain)
2012-06-17 10:07 EDT, Björn Persson
no flags Details

  None (edit)
Description Björn Persson 2012-06-16 16:22:06 EDT
Description of problem:
After I upgraded from Fedora 15 to Fedora 17 my laptop screen is stuck on a very low brightness setting, which makes it very hard to read. It's OK during POST, Grub and early Linux initialization, but goes dim before I'm prompted for the disk encryption passphrase. After that I can't turn the brightness back up. A few very short, bright flashes occur during boot and login.

Holding down Fn and pressing the up and down keys is supposed to adjust the 
brightness. This used to work in Fedora 15 and earlier. A box is shown on the screen with a horizontal bar that indicates the brightness. That part still works. The bar grows and shrinks, but the brightness is not affected.

All xbacklight commands I try (except for "xbacklight -help") cause the screen 
to flash once and return zero. Even "xbacklight -get" causes a flash, prints 
nothing, and returns zero.

Writing to /sys/class/backlight/acpi_video0/brightness has no effect other than changing the content of that file and /sys/class/backlight/acpi_video0/actual_brightness.

I don't know what component is supposed to set the brightness. Nouveau is my best guess.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17.x86_64

How reproducible:
The symptoms are the same in Gnome, KDE, XFCE and LXDE, except that only Gnome and XFCE show a box with a horizontal bar. Running on battery or connected to a docking station makes no difference.

Additional info:
The computer model appears to be "Dell XPS M1710" or maybe "PP05XB". lspci describes the graphics controller as "01:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce Go 7900 GS] (rev a1)".
Comment 1 Ben Skeggs 2012-06-16 23:05:49 EDT
Can you post your dmesg output please?
Comment 2 Björn Persson 2012-06-17 10:07:30 EDT
Created attachment 592431 [details]
output of dmesg
Comment 3 Jean-Jacques Sarton 2012-06-27 01:56:56 EDT
On fedora 16 with kernel 3.4.2-1 the same problem appear. The system is a Dell M90 which use the same video controller.
At boot time the backlight ist first OK and after the nouveau module is loaded, the backligth is set to the minimum value and therefore not readable.
Comment 4 Mark Hammons 2012-07-01 06:30:52 EDT
This bug also happens with a sager notebook using the open source radeon drivers.
Comment 5 Scott Weaver 2012-07-08 22:08:32 EDT
I have experienced the same problem just as it is described. The original system was Fedora 16 but following a yum update the brightness setting was locked low and couldn't be changed. I updated to Fedora 17 using preupgrade but that did not resolve the problem. 

I did a clean install of Fedora 17 using the Live Media CD and screen brightness was fine (during and after the install). Following the first yum update the issue returned.

/sys/class/backlight/acpi_video0/brightness is being set when using the brightness Fn keys but the brightness is not adjusted.

If brightness is set to 0 (while running Fedora 17) then when I reboot the brightness of the BIOS screen will also be very low. If brightness is set to 7 (the max_brightness) the BIOS screen with be the max brightness when I reboot. So it appears the value is being set.

Brightness drops to low as soon as the “teardrop boot screen” loads. Screen brightness flickers when loading the login screen and just after logging-in then remains low.

Running xbacklight -set 100 causes the screen to go to full brightness for just a single flash then it returns to low.

To recreate the problem install Fedora 17 from the Live CD and run: yum update.

Dell Precision M90 Laptop
VGA compatible controller: nVidia Corporation G71 [Quadro FX 1500M] (rev a1)
(4318:667:4136:411) pci, nouveau, VIDEO, G71 [Quadro FX 1500M]
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
Comment 6 Jean-Jacques Sarton 2012-07-09 12:25:23 EDT
The same problem is still present with the kernel 3.4.4-4.fc16.i686.
Comment 7 Björn Persson 2012-07-09 20:54:05 EDT
I installed kernel-3.3.4-5.fc17.x86_64 (in an attempt to troubleshoot another problem), and found that the brightness control works with that kernel. When I boot kernel-3.4.4-3.fc17.x86_64 or kernel-3.4.4-5.fc17.x86_64 the brightness is still locked low. Rebooting to 3.3.4-5 works around the problem.
Comment 8 Scott Weaver 2012-07-09 21:34:43 EDT
I should have written that you only need to update the kernel (kernel-3.4.4-5.fc17.i686) to recreate the issue after installing from the Live CD.
Comment 9 Jean-Jacques Sarton 2012-07-10 05:52:52 EDT
This bug 834910 is possibly the same bug as 832723 but with an other description (Screen backlight not functioning after kernel update).
Comment 10 ANTONIO 2012-07-13 19:40:34 EDT
Fedora Update System 2012-07-08 16:51:16 EDT
kernel-3.4.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

This was posted on BUG 834910. I have a Dell M90 as well. If I use the original kernel 3.1.0-7.fc16.i686.PAE , no issue with screen brightness. Any other kernel and very dim. Tried all the mentioned above as well.
Comment 11 Jean-Jacques Sarton 2012-07-14 01:21:43 EDT
(In reply to comment #10)
> Fedora Update System 2012-07-08 16:51:16 EDT

> This was posted on BUG 834910. I have a Dell M90 as well. If I use the
> original kernel 3.1.0-7.fc16.i686.PAE , no issue with screen brightness. Any
> other kernel and very dim. Tried all the mentioned above as well.

see comment #6
Comment 12 ANTONIO 2012-07-14 14:37:45 EDT
I got it working with all kernels, I will explain my steps. Strange as they are.

Fedora 16.

added rdblacklist=nouveau to grub. 

rebuilt grub files - grub2-mkconfig -o /boot/grub2/grub.cfg

rebooted. Nouveau was loaded. I did not get the teardrop I got the progress bar.

went to command prompt . logged in as root. Init 3 ..logged in as root again.

Installed NVIDIA drivers.(from their website). This created a blacklist file.
Update the driver at the same prompt. All seems well.

rebooted . stopped at send mail.

was able to get to command prompt and start manually. 

Went back to command prompt unistalled the nvidia drivers.

Installed akmod-nivida. this build a new blacklist.nouveau.conf

*did nothing to initframs as usually stated on the web. Left them alone. 

rebooted and still slight problem with boot. Though manually can still get in.

rebuilt initframs. rebooted.

Now, clunky as this was. It is working. FN keys. Brightness. all of it. 

This may be another piece in the puzzle which I hope helps. Somehow. Insane as this is to me. I hope it helps.
Comment 13 Jonn Taylor 2012-07-14 22:32:16 EDT
I also have the same problem. FC17 x86_64 on Dell m90, 01:00.0 VGA compatible controller: nVidia Corporation G71 [Quadro FX 2500M] (rev a1) (prog-if 00 [VGA controller]).

I tried the akmod-nvidia drivers and they will not work at all. They say they cannot detect the monitor. The nouveau driver has been the only one that works.
Comment 14 Jonn Taylor 2012-07-14 22:35:35 EDT
dmesg output from nouveau driver.

[    1.317213] [drm] nouveau 0000:01:00.0: Detected an NV40 generation card (0x049a00a2)
[    1.320647] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
[    1.416617] [drm] nouveau 0000:01:00.0: ... appears to be valid
[    1.416621] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
[    1.416625] [drm] nouveau 0000:01:00.0: BIT BIOS found
[    1.416629] [drm] nouveau 0000:01:00.0: Bios version 05.71.22.28
[    1.416632] [drm] nouveau 0000:01:00.0: TMDS table version 1.1
[    1.416634] [drm] nouveau 0000:01:00.0: TMDS table script pointers not stubbed
[    1.416777] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
[    1.416780] [drm] nouveau 0000:01:00.0: DCB version 3.0
[    1.416784] [drm] nouveau 0000:01:00.0: DCB outp 00: 03000323 00000004
[    1.416788] [drm] nouveau 0000:01:00.0: DCB outp 01: 01011300 00000028
[    1.416790] [drm] nouveau 0000:01:00.0: DCB outp 02: 020223f1 0040c080
[    1.416793] [drm] nouveau 0000:01:00.0: DCB outp 03: 08035312 00000000
[    1.416795] [drm] nouveau 0000:01:00.0: DCB outp 04: 04036312 00000000
[    1.416798] [drm] nouveau 0000:01:00.0: DCB conn 00: 0041
[    1.416801] [drm] nouveau 0000:01:00.0: DCB conn 01: 0100
[    1.416803] [drm] nouveau 0000:01:00.0: DCB conn 02: 0310
[    1.416806] [drm] nouveau 0000:01:00.0: DCB conn 03: 0311
[    1.416808] [drm] nouveau 0000:01:00.0: DCB conn 04: 0313
[    1.416811] [drm] nouveau 0000:01:00.0: DCB conn 05: 0254
[    1.416813] [drm] nouveau 0000:01:00.0: DCB conn 06: 0455
[    1.416823] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xCEA6
[    1.416893] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD799
[    1.429128] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE1BA
[    1.429145] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE335
[    1.432334] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE489
[    1.432642] [drm] nouveau 0000:01:00.0: Detected 512MiB VRAM (GDDR3)
[    1.442784] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[    1.442927] [drm] nouveau 0000:01:00.0: Saving VGA fonts
[    1.497579] [drm] nouveau 0000:01:00.0: unknown connector type 54
[    1.497610] [drm] nouveau 0000:01:00.0: unknown connector type 55
[    1.498955] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
[    1.504504] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
[    1.504510] [drm] nouveau 0000:01:00.0: 0: core 100MHz shader 100MHz memory 100MHz voltage 1000mV fanspeed 100%
[    1.504515] [drm] nouveau 0000:01:00.0: 1: core 200MHz shader 200MHz memory 300MHz voltage 1000mV fanspeed 100%
[    1.504519] [drm] nouveau 0000:01:00.0: 2: core 500MHz shader 500MHz memory 600MHz voltage 1240mV fanspeed 100%
[    1.504524] [drm] nouveau 0000:01:00.0: c: core 200MHz shader 200MHz memory 351MHz voltage 1240mV
[    1.507691] [drm] nouveau 0000:01:00.0: Pixel clock comparison table not found
[    1.507748] [drm] nouveau 0000:01:00.0: 0xC3CC: Parsing digital output script table
[    1.558213] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on lvds encoder (output 0)
[    1.558217] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 1)
[    1.558223] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on TV encoder (output 2)
[    1.558229] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 3)
[    1.558232] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 4)
[    1.640718] [drm] nouveau 0000:01:00.0: allocated 1440x900 fb: 0x49000, bo ffff880036800400
[    1.640863] fbcon: nouveaufb (fb0) is primary device
[    1.652047] [drm] nouveau 0000:01:00.0: Calling LVDS script 6:
[    1.652053] [drm] nouveau 0000:01:00.0: 0xC1DD: Parsing digital output script table
[    1.932153] [drm] nouveau 0000:01:00.0: Calling LVDS script 2:
[    1.932157] [drm] nouveau 0000:01:00.0: 0xC253: Parsing digital output script table
[    2.080222] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on lvds encoder (output 0)
[    2.080226] [drm] nouveau 0000:01:00.0: Calling LVDS script 5:
[    2.080230] [drm] nouveau 0000:01:00.0: 0xC1CE: Parsing digital output script table
[    2.080241] [drm] nouveau 0000:01:00.0: Output LVDS-1 is running on CRTC 0 using output A
[    2.082176] fb0: nouveaufb frame buffer device
[    2.082184] [drm] Initialized nouveau 1.0.0 20120316 for 0000:01:00.0 on minor 0
Comment 15 ANTONIO 2012-07-15 01:41:16 EDT
I went through the same problem with FC17. I had lost patience and formatted and went back to fc16. Of course the same thing happened again. 

I retraced my steps. Since I have almost the same laptop , only difference my card is 1500 , I will venture to try again. 

The steps I used to change video drivers are not the same steps as on the web. I am beginning to think it is the initframs and nouveau. 

Perhaps it was the clunky way I went. I will try to format again and install the FC17. I will post my findings. 

again : 

1 : rdblacklist=nouveau in the grub. and rebuild grub2 etc..
2 : add nouveau to the blacklist.conf in /etc/modprobe.d/ directory
3 : reboot , make sure nouveau is not loading. generic driver should kick in
4 : try yum install akmod-nvidia* . The asterisk helps
5 : reboot 

if you get stuck : alt f2 .. login in as root and rebuild the initframs.

The sequence helped me. I hope this is of some use.
Comment 16 ANTONIO 2012-07-15 15:20:23 EDT
Hello again,

I have been able to replicate the previous comment with FC17.

Same points. 

Installed FC17. Clean install

As soon as I finished updates , new kernel was installed and that DIM problem happened again.  Kernel 3.4.4 was installed.

did the previous steps :


1 : rdblacklist=nouveau in the grub. and rebuild grub2 etc..
2 : add nouveau to the blacklist.conf in /etc/modprobe.d/ directory
3 : reboot , make sure nouveau is not loading. generic driver should kick in
4 : try yum install akmod-nvidia* . The asterisk helps . created the nouveau blacklist file.
5 : reboot 
6 : rebuilt initframs << this seems to be the key in my case/

It is working.
Comment 17 Jean-Jacques Sarton 2012-07-16 00:59:20 EDT
> Installed FC17. Clean install
> 
> As soon as I finished updates , new kernel was installed and that DIM
> ...
> 1 : rdblacklist=nouveau in the grub. and rebuild grub2 etc..
> 2 : add nouveau to the blacklist.conf in /etc/modprobe.d/ directory
> ...

If I understand this you use now the nvidia driver. Of course the backlight work well now but the X-server will consumme a lot of CPU time (tried on FC16 i686). This will probably be also the case with FC17
Comment 18 ANTONIO 2012-07-16 17:21:24 EDT
Affirmative. A little more taxing on the cpu , although it is hardly noticeable. Small price to pay to have everything working. Yes , now running fc17. 

The problem , as per what I have been able to establish in my case , is the initframs ... 

regards
Comment 19 Jonn Taylor 2012-07-16 19:03:41 EDT
I was not able to get the akmod-nvidia drivers to work, but I did get the kmod-nvidia to work following this.
Comment 20 ANTONIO 2012-07-18 11:37:49 EDT
I am glad I was able to help in some way. My way IS a odd , but if it helps great.
Comment 21 Jean-Jacques Sarton 2012-07-30 07:07:00 EDT
With jernel 3.4.6-1.fc16.i686 still the same problem with nouveau.
Apparently the problem affect only fedora, I have not found problem reports for other distributions.
Comment 22 Jean-Jacques Sarton 2012-08-20 02:53:01 EDT
With kernel 3.4.7-1.fc16.i686 still the same problem with nouveau.
Comment 23 Jean-Jacques Sarton 2012-08-20 03:45:16 EDT
With kernel 3.4.9-1.fc16.i686 still the same problem with nouveau.
Comment 24 Jean-Jacques Sarton 2012-08-20 05:59:25 EDT
With Kernel 3.5.2-1.fc17.x86_64 still the same problem with nouveau.
Comment 25 bal711 2012-10-22 08:39:47 EDT
With kernel 3.6.2-4.x86_64 still the same problem with nouveau and akmod-nvidia
Comment 26 Rafael Louback Ferraz 2013-02-25 12:25:24 EST
I cant adjust my brightness too with a nvidia 310m gpu. Using both nouveau or nvidia binary.

I could fix it editing /etc/default/grub file. Adding to GRUB_CMDLINE_LINUX acpi_osi=Linux

and running 

grub2-mkconfig -o /boot/grub2/grub.cfg

than rebooting

maybe is a good ideia to set this option by default
Comment 27 Rafael Louback Ferraz 2013-02-25 12:26:07 EST
I forgot to say. that this works in f17 and f18
Comment 28 Brian G. Maddox 2013-02-28 08:14:12 EST
I just moved back to Fedora and have been hit the nouveau backlight issue as well.  I have a Dell e1705 with a GeForce Go 7900 GS.  All of the Fedora 18 kernels have had this issue for me (including 3.7.9.205.fc18 which I'm on now).  I have the same behaviour as mentioned earlier (sometimes goes bright for a brief instant and then goes back down).  Trying to raise the max brightness value in sys results in a permission denied (even as root).  I'll add that I was running nouveau under Kubuntu before I came back and didn't have the brightness value there.

I've tried the grub command line options and none of them have worked.  nvidia's binary driver works but would prefer nouveau.
Comment 29 Jason Lynch 2013-02-28 20:07:05 EST
I don't run a Fedora system, but I have been experiencing this issue on my Dell Inspiron E1705 going back to at least kernel 3.4, I believe. Today, I decided to test a 3.8 kernel, specifically 3.8.1, and my backlight was working properly once again. I'd recommend that anyone experiencing this issue try the latest 3.8 kernel to help confirm if the problem is indeed fixed.
Comment 30 Brian G. Maddox 2013-03-03 11:33:47 EST
The Fedora 3.8.1 kernel came down today and looks like it fixed my nouveau problems as well.  Backlight works properly and haven't had the random Qt crashes I was having previously with the nVidia drivers.
Comment 31 Fedora End Of Life 2013-07-03 17:04:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Fedora End Of Life 2013-07-31 17:50:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 33 Dave Neary 2014-03-14 05:29:51 EDT
I hit this issue on F20 after a rather strange upgrade experience with fed up. Brightness control does not affect screen brightness for laptop screen. For external screen when the laptop is docked, there is no issue.
Comment 34 Dave Neary 2014-03-14 05:31:51 EDT
Also, this is with Intel graphics hardware in a Lenovo X220. So not using the Nouveau driver. I think the problem is somewhere else (maybe kernel?).
Comment 35 Christopher Beland 2015-04-28 17:22:03 EDT
Dave, if this is still a problem, sounds like it should be in a separate bug report.
Comment 36 Dave Neary 2015-04-28 17:47:12 EDT
I have other suspend/resume issues, and still have some issues with GNOME Shell when connected to an external monitor on my laptop, but this one hasn't recurred in a while.

Note You need to log in before you can comment on or make changes to this bug.